package com.ozs.rpm.util;

import java.text.DateFormat;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;

import lombok.extern.slf4j.Slf4j;

@Slf4j
public class DateUtils {
    
    /**
     * IF 根据时间查询前几天数据
     * 
     * @param dateStr 基准日期
     * @param past 前推天数
     * @return
     */
    public static String getOffsetDateInFront(String dateStr, int past) {
        Date date = new Date();
        if(StringUtil.isNotEmpty(dateStr)) {
            date = strToDate(dateStr);
        }
        SimpleDateFormat format = new SimpleDateFormat("yyyy-MM-dd");
        Calendar now = Calendar.getInstance();
        now.setTime(date);
        now.set(Calendar.DATE, now.get(Calendar.DATE) - past);//+后 -前
        return format.format(now.getTime());
    }
    
    /**
     * 字符串转日期格式
     * */
    private static Date strToDate(String dateStr) {
        DateFormat dateFormat = new SimpleDateFormat("yyyy-MM-dd");
        Date date = null;
        try {
            date = dateFormat.parse(dateStr);
        } catch (ParseException e) {
            log.error("字符串格式错误！");
            e.printStackTrace();
        }
        return date;
    }
    
    /**
     * 日期格式转字符串
     * */
    public static String dateToStr(Date date) {
        SimpleDateFormat format = new SimpleDateFormat("yyyy-MM-dd");  
        String result = format.format(date);  
        return result;
    }
    
    public static void main(String[] args) {
        System.out.println(DateUtils.getOffsetDateInFront("2019-06-22", 1));
    }
    
}
